#
# spec file for package apache2-mod_stats (Version 1.0)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


%if %{defined suse_version}
%define apxs /usr/sbin/apxs2
BuildRequires:  apache2-devel apache2-prefork apache2-worker 
%else
%define apxs /usr/sbin/apxs
BuildRequires:  httpd-devel
%endif
BuildRequires:  apache2-webthings-collection
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Name:           apache2-mod_stats
Summary:        Apache module collecting buildservice download statistics
Version:        1.1
Release:        36.7
License:        Apache License 2.0
Group:          Productivity/Networking/Web/Servers
#
%if %{defined suse_version}
Requires:       apache2 >= 2.2.6 
Requires:       %{apache_mmn} 
Requires:       libapr-util1 >= 1.3.0
%else
Requires:       httpd
%endif
#
Autoreqprov:    on
#
# svn export 'https://forgesvn1.novell.com/svn/opensuse/trunk/tools/download-stats/mod_stats'; tar czf mod_stats.tar.gz mod_stats
Source:         mod_stats.tar.gz
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Apache module collecting download statistics for packages downloaded from an
OpenSUSE build service. At this time, it is probably only useful on
software.opensuse.org.

https://forgesvn1.novell.com/svn/opensuse/trunk/tools/download-stats

Author: Peter Poeml <poeml@suse.de>


%prep
%setup -n mod_stats

%build
%{apxs} -c mod_stats.c

%install
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/mod_stats.so $RPM_BUILD_ROOT/%{apache_libexecdir}

%files
%defattr(-,root,root)
%{apache_libexecdir}/*.so
%doc README
%doc *.conf

%changelog
* Thu Jun  4 2009 poeml@suse.de
- fix build on CentOS5 (by requiring httpd instead of
  apache2-devel, and using apxs instead of apxs2)
* Tue Jun 10 2008 poeml@suse.de
- build service supports the debuginfo flag in metadata now; remove
  debug_package macro from the specfile therefore.
* Wed Aug 22 2007 poeml@suse.de
- update to r2018
  - in error conditions (reconnection to database after failure),
    it happens occasionally that the DBD MySQL driver's pvselect()
    returns success, but with result of NULL. If so, ignore the
    result.
  - update README and TODO
* Thu Mar 29 2007 poeml@suse.de
- update to r1547
  - duplicate r->filename before taking it apart -- bug which became
    apparent after r->uri is no longer used
* Tue Mar 13 2007 poeml@suse.de
- update to r1432
  - bump version (1.1)
  - license under Apache License 2.0
  - add HTTP_MOVED_TEMPORARILY (302) to the status codes for which
    to increment counters
* Tue Mar  6 2007 poeml@suse.de
- update to r1386
  - add StatsAdminHost directive. New packages are no longer created on the fly
    but now explicitely created by admin requests from the backend, using a
    cmd=setpackage&package=foo query string
  - add StatsDBDDeleteQuery directive; packages can also be deleted now
    (cmd=deleted query string)
  - use mod_form to parse query strings
  - fix parsing of .deb filenames -- release is optional
  - temporarily work around missing r->filename in our current redirector, by
    stripping hardcoded "/download/" string
  - fix stats_getlastword() to stop at the beginning
  - fill "filename" column with the (sub-)package name instead of the filename
  - add configuration example and README
  - remove unused variable
* Mon Feb 19 2007 poeml@suse.de
- package created (r1278)
